Bug 60520 - only shows first four drives
only shows first four drives
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-28 17:18 EST by Kambiz Aghaiepour
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-28 23:34:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kambiz Aghaiepour 2002-02-28 17:18:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-21 i686)

Description of problem:
Does sysstat only show first four drives of systems???!!!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run syststat


Additional info:
Comment 1 Kambiz Aghaiepour 2002-02-28 17:19:10 EST
Oops! I meant the /usr/bin/iostat command (part of sysstat-3.3.3)
Comment 2 Trond Eivind Glomsrxd 2002-02-28 17:46:46 EST
Can you try 4.0.3-1 from the build trees (you may have to rebuild it) and see if
that helps? I don't have access to such HW.
Comment 3 Trond Eivind Glomsrxd 2002-02-28 18:01:39 EST
"iostat -x" with a current version verified to do what you want :)
Comment 4 Kambiz Aghaiepour 2002-02-28 23:34:53 EST
Not exactly.  4.0.1 does run, but iostat -x only lists the first 32 disk
"thing"s where "thing" is either the whole drive, or one of its partition.  For
example:

/dev/sda
/dev/sda1
/dev/sda2
and so forth.
If there is only one partition, they are still listed, so like:
/dev/sde
/dev/sde1
/dev/sdf
and so on.

But the list stops after 32 lines.  I can however, run:

iostat -d -t -x /dev/sd[a-z] /dev/sdaa

on a box that has /dev/sda through /dev/sdaa.

The downside of this whole thing is that installing 4.0.1 breaks the cron jobs
from 3.3.3 on the 6.2 box.  A proper 6.2 errata which deals with updating the
cron jobs and such would be a desireable fix.
Comment 5 Trond Eivind Glomsrxd 2002-03-01 10:29:27 EST
An errata for 6.2 is very unlikely - we typically do those for security issues
and extremely broken packages.  This isn't one of them. It works with current
releases, so the "CURRENTRELEASE" fix (with a 2.4 kernel) is correct closing.

Note You need to log in before you can comment on or make changes to this bug.